%define version 0.99.12

%define enable_applet 1
%{?_with_applet: %define enable_applet 1}

%define enable_socks 0
#{?_with_plf: #define enable_socks 1}

Name:		gnomeicu
Version:	%{version}
Release:	%mkrel 1
License:	GPL
Summary:	Gnome ICQ communications program 
Group:		Networking/Instant messaging
URL:		http://gnomeicu.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		http://download.sourceforge.net/%{name}/%{version}/src/%{name}-%{version}.tar.bz2
# Icon themes from http://gnomeicu.sf.net/themes/
Source10:	%{name}-eureka.tar.bz2
Source11:	%{name}-mugz.tar.bz2
Source12:	%{name}-penguin.tar.bz2

# (fc) 0.98.126-2mdk use DTD compliant OMF file
Patch0:		gnomeicu-0.98.126-omffix.patch

Requires(pre):		scrollkeeper >= 0.3.5
Requires(pre):		GConf2 >= 2.3.3
BuildRequires:	ImageMagick
BuildRequires:	gdbm-devel
BuildRequires:	scrollkeeper >= 0.3.5
BuildRequires:	libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	gtkspell-devel >= 2.0.4
BuildRequires:	perl-XML-Parser
BuildRequires:	automake
BuildRequires:	intltool
BuildRequires:  desktop-file-utils
%if %enable_applet
BuildRequires: gnome-panel-devel
%endif

%if %enable_socks
BuildRequires:	socks5-devel
%endif

%description
GnomeICU is a clone of Mirabilis' popular ICQ.
The original source was taken from Matt Smith's mICQ.

This GTK2 version includes:
- server-side storage
- file send
- contact history
- invisible and ignore lists
- command line interface capability
- icon themes

%if 0
*** Build Options:
--with plf    Enable SOCKSv5 support (default disabled)
                (Get it from PLF: http://plf.zarb.org/)
%endif

%if %enable_applet
%package applet
Summary: Applet for GnomeICU ICQ client
Group: %{group}
Requires: %{name} = %{version}-%{release}

%description applet
GnomeICU is a clone of Mirabilis' popular ICQ.

This package allows GnomeICU to be embedded in GNOME panel.
%endif


%prep
%setup -q
libtoolize --copy --force
autoreconf --force
aclocal
%patch0 -p1 -b .omffix

%build
%configure2_5x \
%if %enable_applet
	--enable-applet \
%endif
%if %enable_socks
	--enable-socks5 \
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


# convert source icon into mdk menu icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir} \
	 $RPM_BUILD_ROOT%{_liconsdir} \
	 $RPM_BUILD_ROOT%{_miconsdir}
install -m 0644         %name.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 %name.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 %name.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# icon themes
echo 'Default icons' > $RPM_BUILD_ROOT%{_datadir}/gnomeicu/icons/Default/gnomeicu-info
tar --bzip2 -xf %{SOURCE10} -C $RPM_BUILD_ROOT%{_datadir}/gnomeicu/icons/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnomeicu/icons/mugz
tar --bzip2 -xf %{SOURCE11} -C $RPM_BUILD_ROOT%{_datadir}/gnomeicu/icons/mugz
tar --bzip2 -xf %{SOURCE12} -C $RPM_BUILD_ROOT%{_datadir}/gnomeicu/icons/
find $RPM_BUILD_ROOT%{_datadir}/gnomeicu/icons/ -type d -print0 | xargs -0 chmod 0755
find $RPM_BUILD_ROOT%{_datadir}/gnomeicu/icons/ -type f -print0 | xargs -0 chmod 0644

%find_lang %name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnomeicu.schemas > /dev/null

%preun
if [ $1 -eq 0 ]; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnomeicu.schemas > /dev/null
fi

%postun
%clean_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

%files -f %name.lang
%defattr(-,root,root,755)
%doc AUTHORS ChangeLog COPYING CREDITS INSTALL MAINTAINERS NEWS README* TODO
%config(noreplace) %{_sysconfdir}/sound/events/GnomeICU.soundlist
%{_sysconfdir}/gconf/schemas/gnomeicu.schemas
%{_bindir}/%name
%{_bindir}/%name-client
%{_datadir}/applications/*.desktop
%{_datadir}/%name
%{_datadir}/omf/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/*
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png

%if %enable_applet
%files applet
%defattr(-,root,root,755)
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/gnomeicu-applet
%{_datadir}/gnome-2.0/ui/*.xml
%endif


%changelog
* Sat Jun 30 2007 Funda Wang <fundawang@mandriva.org> 0.99.12-1mdv2008.0
+ Revision: 46007
- BR automake
- bunzip the patches
  kill old menu
- New version
- Import gnomeicu



* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.99.10-3mdv2007.0
- xdg menu
- rebuild with latest dbus

* Tue Mar 28 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.99.10-2mdk
- add BuildRequires: intltool

* Mon Mar 27 2006 Jerome Soyer <saispo@mandriva.org> 0.99.10-1mdk
- New release 0.99.10
- fix intltool
- rpmbuildupdate aware
- fix icons
- fix Requires
- add applet by default

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.99.5-5mdk
- Rebuild

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.5-4mdk 
- Rebuild with latest howl
- Fix menu

* Wed Dec 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.5-3mdk 
- Fix uninstall

* Fri Apr 23 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.99.5-2mdk
- fix buildrequires

* Fri Apr 16 2004 Abel Cheung <deaddog@deaddog.org> 0.99.5-1mdk
- New version
- Avoid mentioning socks option until socks package is fixed
- Don't hide my head in sand if updating goes wrong

* Thu Dec 11 2003 Abel Cheung <deaddog@deaddog.org> 0.99-7mdk
- Add missing buildrequires (thx Stefan's bot)

* Sat Nov 29 2003 Abel Cheung <deaddog@deaddog.org> 0.99-6mdk
- Mea culpa, html help file should not be generated during packaging
- Don't build applet by default (useless, it can already embed in
  notification area, and applet doesn't work well anyway)

* Wed Oct 22 2003 Stefan van der Eijk <stefan@eijk.nu> 0.99-5mdk
- BuildRequires

* Mon Aug 25 2003 Abel Cheung <deaddog@deaddog.org> 0.99-4mdk
- It's noon (no %%ghost)
- uninstall schemas in preun
- Generate ALL html help files BEFORE find_lang
- Convert spec file to UTF-8
- BuildRequires revisited
- Add several icon themes available from main website
- Allow optionally turning on SOCKS 5 support (--with socks)
- Use better menu icon from source instead of bundling old ones

* Thu Jul 17 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.99-3mdk
- buildrequires
- rm -rf $RPM_BUILD_ROOT in %%install
- macroize

* Mon Apr 14 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.99-2mdk
- Fix gnomeicu.schemas installation. (Ryan T. Sammartino <ryants@shaw.ca>)

* Thu Apr 03 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.99-1mdk
- 0.99.
- gnomeicu.html is generated as build time.

* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.126-2mdk
- Clean specfile
- Rebuild against glib2 version of libgnet
- Patch0 : use DTD compliant OMF file
- Generate yelp cache

* Thu Dec 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.98.126-1mdk
- add missing locale files
- from Austin Acton <aacton@yorku.ca> :
	- bump version
	- re-enable applet
	- redo requires & buildrequires
	- redo file list
	- update scrollkeeper

* Tue Aug 13 2002 Laurent Culioli <laurent@pschit.net> 0.98.3-2mdk
- rebuild with new libgnet
- convert xpm to png

* Wed Jul 31 2002 Laurent Culioli <laurent@pschit.net> 0.98.3-1mdk
- 0.98.3
- disable applet

* Wed Mar 13 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.98.2-2mdk
- integrated Basque translation

* Wed Feb 27 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.98.2-1mdk
- 0.98.2 hot from the oven.

* Thu Feb 21 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.98-4mdk
- integrated Basque translation
- make use of find_lang --with-gnome for help files

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 0.98-3mdk
- BuildRequires

* Sat Dec 29 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.98-2mdk
- Update the Url tag (Olivier Dormond).

* Tue Dec 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.98-1mdk
- Version 0.98.
- Use the zh_TW po from the stock source.

* Sat Jul 07 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.96.1-6mdk
- Re-enable zh_TW locale.

* Sun Jun 24 2001 Stefan van der Eijk <stefan@eijk.nu> 0.96.1-5mdk
- include gnomeicu-client

* Sun Jun 24 2001 Stefan van der Eijk <stefan@eijk.nu> 0.96.1-4mdk
- BuildRequires: db1-devel
- BuildRequires: gdbm-devel
- BuildRequires: gdk-pixbuf-devel
- BuildRequires: gnome-core-devel
- Removed BuildRequires: gnome-core
- Removed BuildRequires: gnome-libs-devel
- Removed BuildRequires: libgdbm1-devel
- Removed BuildRequires: XFree86-devel
- Removed BuildRequires: zlib1-devel

* Sun Jun 24 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.96.1-3mdk
- temporarily disable zh_TW locale, to fix build

* Thu Apr 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.96.1-2mdk
- Add a Big5 Chinese translation from Abel Cheung <maddog@linuxhall.org>.
- Don't disable xss for alpha.

* Thu Mar 01 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.96.1-1mdk
- Make a 0.96.1.

* Mon Feb 26 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.96-1mdk
- Bump up to 0.96.
- Add requirement on gnome-libs{-devel} >= 1.2.0.

* Wed Feb 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.95.3-2mdk
- Put in the missing /usr/share/gnomeicu directory (thx cooker, Florent).

* Tue Feb 13 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.95.3-1mdk
- Put 0.95.3 out for cooker folks.

* Mon Feb 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.95.2-1mdk
- new and shiny source available for general consumption.

* Sat Jan 13 2001 Francis Galiegue <fg@mandrakesoft.com> 0.94.1-2mdk

- Files list fixes
- Fix typo in description

* Sun Oct 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.94.1-1mdk
- new and shiny source.

* Wed Oct 11 2000 Gregory Letoquart <gletoquart@mandrakesoft.com> 0.94-1mdk
- 0.94 

* Thu Oct 05 2000 Daouda Lo <daouda@mandrakesoft.com> 0.93-8mdk
- ok! u can run it everywhere.

* Thu Oct 05 2000 Daouda Lo <daouda@mandrakesoft.com> 0.93-7mdk
- fix silly bug (gnomeicu run only under gnome) 
- add locales.
- provide all mdk menu icons.
- menu entry embedded in spec.

* Thu Sep 07 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.93-6mdk
- Use find_lang

* Tue Sep 05 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.93-5mdk
- Modified menu hiearchy too... 

* Tue Sep 05 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.93-4mdk
- Changed Group.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.93-3mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.93-2mdk
- Fix alpha support.
- Macros.
- BM.

* Tue Jun 13 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.93-1mdk
- 0.93

* Wed Apr 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.92-2mdk
- added menu entry

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.92-1mdk
- release from helix 
- SMP build/check
- Alpha Support.

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.90b-2mdk
- fix group

* Thu Jan 27 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.90b

* Wed Jan 12 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.90

* Mon Dec 20 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.68
- Added INSTALL

* Fri Nov 26 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.67

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.66
- make the %%files section mroe generic
- added translations
- added help file

* Sun Aug 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Redo some specfile
- Update to 0.65 
- Update Source URL

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Mandrake compliant again.

* Fri Apr 30 1999 Gaël Duval <gael@linux-mandrake.com>
- lipstick

* Fri Apr 16 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- First packaging.
